# PCFactorReorderForNonzeroDiagonal

reorders rows/columns of matrix to remove zeros from diagonal

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCFactorReorderForNonzeroDiagonal(PC pc,PetscReal rtol)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| tol | - diagonal entries smaller than this in absolute value are considered zero

### Options Database Key

-pc_factor_nonzeros_along_diagonal -

### Keywords

PC, set, factorization, direct, fill

### See Also

PCFactorSetFill(), PCFactorSetShiftNonzero(), PCFactorSetZeroPivot(), MatReorderForNonzeroDiagonal()

Level:intermediate
Location: src/ksp/pc/impls/factor/lu/lu.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages